<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>tools/billboard.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">tools/billboard.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Copyright (C) 2003 by Jorrit Tyberghein</span>
<a name="l00004"></a>00004 <span class="comment">  </span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment">  </span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment">  </span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef __CEL_MGR_BILLBOARD__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_MGR_BILLBOARD__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cstypes_8h.html">cstypes.h</a>&quot;</span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/scf_8h.html">csutil/scf.h</a>&quot;</span>
<a name="l00025"></a>00025 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/flags_8h.html">csutil/flags.h</a>&quot;</span>
<a name="l00026"></a>00026 
<a name="l00027"></a>00027 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiImage.html">iImage</a>;
<a name="l00028"></a>00028 <span class="keyword">struct </span><a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>;
<a name="l00029"></a>00029 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a>;
<a name="l00030"></a>00030 <span class="keyword">class </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a>;
<a name="l00031"></a>00031 <span class="keyword">class </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a>;
<a name="l00032"></a>00032 
<a name="l00037"></a><a class="code" href="structiBillboardLayer.html">00037</a> <span class="keyword">struct </span><a class="code" href="structiBillboardLayer.html" title="A layer of billboards.">iBillboardLayer</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00038"></a>00038 {
<a name="l00039"></a>00039   SCF_INTERFACE (<a class="code" href="structiBillboardLayer.html" title="A layer of billboards.">iBillboardLayer</a>, 0, 0, 1);
<a name="l00040"></a>00040 
<a name="l00044"></a>00044   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardLayer.html#a3d8bf9c7a7f947eb439aa9f3cf624632" title="Get current offset of layer in billboard space.">GetOffset</a> (<span class="keywordtype">int</span>&amp; x, <span class="keywordtype">int</span>&amp; y) <span class="keyword">const</span> = 0;
<a name="l00045"></a>00045 
<a name="l00049"></a>00049   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardLayer.html#a663919ecf33f3eba024e827a9db6aef1" title="Set offset of layer in billboard space.">SetOffset</a> (<span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y) = 0;
<a name="l00050"></a>00050 
<a name="l00054"></a>00054   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardLayer.html#a921deb2a19b6c946bbbf0bd29ea6dbc1" title="Relative move of layer.">Move</a> (<span class="keywordtype">int</span> dx, <span class="keywordtype">int</span> dy) = 0;
<a name="l00055"></a>00055 
<a name="l00059"></a>00059   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiBillboardLayer.html#ab692b5d867584b72e0ba6bf24f56e3d4" title="Get the name of this layer.">GetName</a> () <span class="keyword">const</span> = 0;
<a name="l00060"></a>00060 };
<a name="l00061"></a>00061 
<a name="l00068"></a><a class="code" href="structiBillboardEventHandler.html">00068</a> <span class="keyword">struct </span><a class="code" href="structiBillboardEventHandler.html" title="An event on some billboard (like being selected or something).">iBillboardEventHandler</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00069"></a>00069 {
<a name="l00070"></a>00070   SCF_INTERFACE (<a class="code" href="structiBillboardEventHandler.html" title="An event on some billboard (like being selected or something).">iBillboardEventHandler</a>, 0, 0, 1);
<a name="l00071"></a>00071 
<a name="l00075"></a>00075   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardEventHandler.html#a9704f07d66321010260a66ec08447ed0" title="Billboard is selected.">Select</a> (<a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* billboard, <span class="keywordtype">int</span> mouse_button,
<a name="l00076"></a>00076         <span class="keywordtype">int</span> mousex, <span class="keywordtype">int</span> mousey) = 0;
<a name="l00077"></a>00077 
<a name="l00081"></a>00081   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardEventHandler.html#a2a742a0c657e97e3fe43a5070df5978e" title="Mouse moves while billboard is selected.">MouseMove</a> (<a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* billboard, <span class="keywordtype">int</span> mouse_button,
<a name="l00082"></a>00082         <span class="keywordtype">int</span> mousex, <span class="keywordtype">int</span> mousey) = 0;
<a name="l00083"></a>00083 
<a name="l00087"></a>00087   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardEventHandler.html#a311ce3b978d705280b38914bb02b493d" title="Mouse moves away from billboard.">MouseMoveAway</a> (<a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* billboard, <span class="keywordtype">int</span> mouse_button,
<a name="l00088"></a>00088         <span class="keywordtype">int</span> mousex, <span class="keywordtype">int</span> mousey) = 0;
<a name="l00089"></a>00089 
<a name="l00093"></a>00093   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardEventHandler.html#aac9cd4f16e85c5f1c8e22918568ec4cf" title="Billboard is unselected.">Unselect</a> (<a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* billboard, <span class="keywordtype">int</span> mouse_button,
<a name="l00094"></a>00094         <span class="keywordtype">int</span> mousex, <span class="keywordtype">int</span> mousey) = 0;
<a name="l00095"></a>00095 
<a name="l00099"></a>00099   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardEventHandler.html#a0bab181f60553c5b604298cf34325275" title="Billboard is double clicked.">DoubleClick</a> (<a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* billboard, <span class="keywordtype">int</span> mouse_button,
<a name="l00100"></a>00100         <span class="keywordtype">int</span> mousex, <span class="keywordtype">int</span> mousey) = 0;
<a name="l00101"></a>00101 };
<a name="l00102"></a>00102 
<a name="l00103"></a>00103 
<a name="l00107"></a>00107 <span class="preprocessor">#define CEL_BILLBOARD_VISIBLE 1</span>
<a name="l00108"></a>00108 <span class="preprocessor"></span>
<a name="l00111"></a>00111 <span class="preprocessor">#define CEL_BILLBOARD_MOVABLE 2</span>
<a name="l00112"></a>00112 <span class="preprocessor"></span>
<a name="l00116"></a>00116 <span class="preprocessor">#define CEL_BILLBOARD_CLICKABLE 4</span>
<a name="l00117"></a>00117 <span class="preprocessor"></span>
<a name="l00121"></a>00121 <span class="preprocessor">#define CEL_BILLBOARD_RESTACK 8</span>
<a name="l00122"></a>00122 <span class="preprocessor"></span>
<a name="l00126"></a>00126 <span class="preprocessor">#define CEL_BILLBOARD_SENDMOVE 16</span>
<a name="l00127"></a>00127 <span class="preprocessor"></span>
<a name="l00137"></a><a class="code" href="structiBillboard.html">00137</a> <span class="keyword">struct </span><a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00138"></a>00138 {
<a name="l00139"></a>00139   SCF_INTERFACE (<a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>, 1, 0, 0);
<a name="l00140"></a>00140 
<a name="l00144"></a>00144   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiBillboard.html#adfb6714082e5125c11d4dfb2889c35da" title="Get the name of this billboard.">GetName</a> () <span class="keyword">const</span> = 0;
<a name="l00145"></a>00145 
<a name="l00149"></a>00149   <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsFlags.html">csFlags</a>&amp; <a class="code" href="structiBillboard.html#a263388086ba67271255eb3e34a1e3bb4" title="Get flags for this billboard.">GetFlags</a> () = 0;
<a name="l00150"></a>00150 
<a name="l00156"></a>00156   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiBillboard.html#afad7bba67a9187eb90b523e2aa5ea147" title="Set material for this billboard.">SetMaterialName</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* matname) = 0;
<a name="l00157"></a>00157 
<a name="l00163"></a>00163   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiBillboard.html#a75a5904513dab10390da3f1ccd70e376" title="Set material for this billboard.">SetMaterialNameFast</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* matname) = 0;
<a name="l00164"></a>00164 
<a name="l00168"></a>00168   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiBillboard.html#aef64bec77490332fd658b2a249c4234e" title="Get material name.">GetMaterialName</a> () = 0;
<a name="l00169"></a>00169 
<a name="l00186"></a>00186   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiBillboard.html#aac5e455e02303fc4b74dc78fb9068a17" title="Draw a mesh on this billboard.">DrawMesh</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* material_name,
<a name="l00187"></a>00187         <span class="keyword">const</span> <span class="keywordtype">char</span>* factory, <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&amp; rotate = <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> (0, 0, 0),
<a name="l00188"></a>00188         <span class="keywordtype">float</span> angle = 0.0f, <span class="keywordtype">float</span> distance = -1.0f) = 0;
<a name="l00189"></a>00189 
<a name="l00193"></a>00193   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#a5df7377bf74e94527afca6abf1ad1625" title="Set the size of this billboard in billboard space.">SetSize</a> (<span class="keywordtype">int</span> w, <span class="keywordtype">int</span> h) = 0;
<a name="l00194"></a>00194 
<a name="l00198"></a>00198   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#a30392a04300a08c85a6b93ff2368aa97" title="Get the size of this billboard in billboard space.">GetSize</a> (<span class="keywordtype">int</span>&amp; w, <span class="keywordtype">int</span>&amp; h) = 0;
<a name="l00199"></a>00199 
<a name="l00203"></a>00203   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#a607dafec45dc9ef541bc2ce572066341" title="Get the size of the image on this billboard in billboard space.">GetImageSize</a> (<span class="keywordtype">int</span>&amp; w, <span class="keywordtype">int</span>&amp; h) = 0;
<a name="l00204"></a>00204 
<a name="l00209"></a>00209   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#a5086c24a8711efee7ebb51eeac82f84d" title="Set the position of the top-left corner of this billboard.">SetPosition</a> (<span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y) = 0;
<a name="l00210"></a>00210 
<a name="l00219"></a>00219   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#a18a164ac1b4c62cfcf2e12cdeea4f256" title="During the given time, slowly move the billboard to the given position.">MoveToPosition</a> (<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a> delta, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y) = 0;
<a name="l00220"></a>00220 
<a name="l00225"></a>00225   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#adeb1d34d7717c38349ea0b39aa705e91" title="Get the position of the top-left corner of this billboard.">GetPosition</a> (<span class="keywordtype">int</span>&amp; x, <span class="keywordtype">int</span>&amp; y) <span class="keyword">const</span> = 0;
<a name="l00226"></a>00226 
<a name="l00231"></a>00231   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#abdbe158aa8ac1e5d2bb9c28457742439" title="Relative move.">Move</a> (<span class="keywordtype">int</span> dx, <span class="keywordtype">int</span> dy) = 0;
<a name="l00232"></a>00232 
<a name="l00236"></a>00236   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#a8b6bd96945a5d7eebb93797f0a8922ba" title="Rotate the billboard.">SetRotation</a> (<span class="keywordtype">float</span> angle) = 0;
<a name="l00237"></a>00237 
<a name="l00241"></a>00241   <span class="keyword">virtual</span> <span class="keywordtype">float</span> <a class="code" href="structiBillboard.html#a70df7cb1dd400f5c114ed5a94b08eaaa" title="Get rotation of the billboard.">GetRotation</a> () <span class="keyword">const</span> = 0;
<a name="l00242"></a>00242 
<a name="l00246"></a>00246   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#ae7ef2518f6d60aeefb523a65cdf876b1" title="Bring this billboard to the top of the stack (first visible).">StackTop</a> () = 0;
<a name="l00247"></a>00247 
<a name="l00251"></a>00251   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#acb307dbb70eb5e40f124f31ced2d3feb" title="Bring this billboard to the bottom of the stack.">StackBottom</a> () = 0;
<a name="l00252"></a>00252 
<a name="l00256"></a>00256   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#a4ff2b7f9b4c74bb82d766fa9c03bfcdb" title="Bring this billboard just above the other iBillboard.">StackAfter</a> (<a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a> *other) = 0;
<a name="l00257"></a>00257 
<a name="l00261"></a>00261   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#af7b8df2125955f744a41cd8c8f806b50" title="Bring this billboard just below the other iBillboard.">StackBefore</a> (<a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a> *other) = 0;
<a name="l00262"></a>00262 
<a name="l00266"></a>00266   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#a6c23af44e600b96b207ff45af8cb8ba5" title="Bring this billboard one closer to the top of the stack (first visible).">StackUp</a> () = 0;
<a name="l00267"></a>00267 
<a name="l00271"></a>00271   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#ace3e4dcd66df111b29b1d3e376185543" title="Bring this billboard one closer to the bottom of the stack.">StackDown</a> () = 0;
<a name="l00272"></a>00272 
<a name="l00277"></a>00277   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#adc7df3542b63cf2ec317fb36395e708f" title="Set the top-left coordinate of the texture (default 0,0).">SetUVTopLeft</a> (<span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a>&amp; uv) = 0;
<a name="l00278"></a>00278 
<a name="l00283"></a>00283   <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a>&amp; <a class="code" href="structiBillboard.html#a980d0360b7b8d69ca636347e3e68f6db" title="Get the top-left coordinate of the texture (default 0,0).">GetUVTopLeft</a> () <span class="keyword">const</span> = 0;
<a name="l00284"></a>00284 
<a name="l00289"></a>00289   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#a7f7304f03220f0a750b0bf0b13283727" title="Set the bottom-right coordinate of the texture (default 1,1).">SetUVBottomRight</a> (<span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a>&amp; uv) = 0;
<a name="l00290"></a>00290 
<a name="l00295"></a>00295   <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a>&amp; <a class="code" href="structiBillboard.html#a9d7dd5b1cd0f0d2eda54963aa355d91c" title="Get the bottom-right coordinate of the texture (default 1,1).">GetUVBottomRight</a> () <span class="keyword">const</span> = 0;
<a name="l00296"></a>00296 
<a name="l00300"></a>00300   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#a909846bec5ec86f22a4f6995885c4b30" title="Set the color for this billboard (default white).">SetColor</a> (<span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a>&amp; c) = 0;
<a name="l00301"></a>00301 
<a name="l00305"></a>00305   <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a>&amp; <a class="code" href="structiBillboard.html#a4e6ca2e73a2611badcb3c3149b4ada01" title="Get the color for this billboard (default white).">GetColor</a> () <span class="keyword">const</span> = 0;
<a name="l00306"></a>00306 
<a name="l00310"></a>00310   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#aef878f5ce034da0d477859c61717cad5" title="Set the layer to use for this billboard.">SetLayer</a> (<a class="code" href="structiBillboardLayer.html" title="A layer of billboards.">iBillboardLayer</a>* layer) = 0;
<a name="l00311"></a>00311 
<a name="l00315"></a>00315   <span class="keyword">virtual</span> <a class="code" href="structiBillboardLayer.html" title="A layer of billboards.">iBillboardLayer</a>* <a class="code" href="structiBillboard.html#ae329adeafe2fb58fb728db66d648ad97" title="Get the layer that is used by this billboard.">GetLayer</a> () <span class="keyword">const</span> = 0;
<a name="l00316"></a>00316 
<a name="l00320"></a>00320   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#a588b9d837abfa027fc0e6b7e5cf8889e" title="Add an event handler to this billboard.">AddEventHandler</a> (<a class="code" href="structiBillboardEventHandler.html" title="An event on some billboard (like being selected or something).">iBillboardEventHandler</a>* evh) = 0;
<a name="l00321"></a>00321 
<a name="l00325"></a>00325   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#a474315b2ba38f2124ac6a9942577a7c3" title="Remove an event handler from this billboard.">RemoveEventHandler</a> (<a class="code" href="structiBillboardEventHandler.html" title="An event on some billboard (like being selected or something).">iBillboardEventHandler</a>* evh) = 0;
<a name="l00326"></a>00326 
<a name="l00331"></a>00331   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#a0f73e77217fced40c4a08aab7712b369" title="Set the text to use for this billboard.">SetText</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* txt) = 0;
<a name="l00332"></a>00332 
<a name="l00336"></a>00336   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiBillboard.html#ac1ee04a3b92a3c53a5af4c6dafb27335" title="Get the text.">GetText</a> () <span class="keyword">const</span> = 0;
<a name="l00337"></a>00337 
<a name="l00341"></a>00341   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#a8ff81a9ca94d2420ae0816a16e298c86" title="Get the dimensions of the current text in billboard coordinates.">GetTextDimensions</a> (<span class="keywordtype">int</span>&amp; w, <span class="keywordtype">int</span>&amp; h) = 0;
<a name="l00342"></a>00342 
<a name="l00346"></a>00346   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#aa44417c5bba4a4a60357afabceecd67e" title="Set the text offset in billboard space.">SetTextOffset</a> (<span class="keywordtype">int</span> dx, <span class="keywordtype">int</span> dy) = 0;
<a name="l00347"></a>00347 
<a name="l00351"></a>00351   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="structiBillboard.html#ae6050a64a931987c3816321e40ee5fdf" title="Get the text offset in billboard space.">GetTextOffsetDX</a> () <span class="keyword">const</span> = 0;
<a name="l00352"></a>00352 
<a name="l00356"></a>00356   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="structiBillboard.html#aa00c86d18fa65fbd4eb988b85b82b119" title="Get the text offset in billboard space.">GetTextOffsetDY</a> () <span class="keyword">const</span> = 0;
<a name="l00357"></a>00357 
<a name="l00361"></a>00361   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiBillboard.html#a63df3e3e572878b193410d30aafd2158" title="Setup the font to use for text.">SetTextFont</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* fontname, <span class="keywordtype">float</span> fontsize) = 0;
<a name="l00362"></a>00362 
<a name="l00366"></a>00366   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiBillboard.html#ae66da7559f3f304c0598316596d2c141" title="Get the font to use for text.">GetTextFont</a> () <span class="keyword">const</span> = 0;
<a name="l00367"></a>00367 
<a name="l00371"></a>00371   <span class="keyword">virtual</span> <span class="keywordtype">float</span> <a class="code" href="structiBillboard.html#ac6449fb3e1e8b4fd7574c502b8914492" title="Get the font size to use for text.">GetTextFontSize</a> () <span class="keyword">const</span> = 0;
<a name="l00372"></a>00372 
<a name="l00377"></a>00377   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#aa28f68dde2838d1cd5a30eb4fe92ebed" title="Set the foreground color for the text.">SetTextFgColor</a> (<span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a>&amp; color) = 0;
<a name="l00378"></a>00378 
<a name="l00382"></a>00382   <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a>&amp; <a class="code" href="structiBillboard.html#af104f091488c3c459b059dd4e165b8ca" title="Get the foreground color for the text.">GetTextFgColor</a> () <span class="keyword">const</span> = 0;
<a name="l00383"></a>00383 
<a name="l00388"></a>00388   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#a6a32acbf89fa9b42e13ccf543356dba0" title="Clear the foreground color for the text so that the default color will be used instead.">ClearTextFgColor</a> () = 0;
<a name="l00389"></a>00389 
<a name="l00394"></a>00394   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#a9b9ed1c50d6560d5168fc99cf5cdb2dc" title="Set the background color for the text.">SetTextBgColor</a> (<span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a>&amp; color) = 0;
<a name="l00395"></a>00395 
<a name="l00399"></a>00399   <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a>&amp; <a class="code" href="structiBillboard.html#acb58b4daf978eb32d8926dc5d731d27d" title="Get the background color for the text.">GetTextBgColor</a> () <span class="keyword">const</span> = 0;
<a name="l00400"></a>00400 
<a name="l00405"></a>00405   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#a79e942863dca0162533bfb5fad8e24b7" title="Set the background color for the text to transparent.">SetTextBgTransparent</a> () = 0;
<a name="l00406"></a>00406 
<a name="l00410"></a>00410   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiBillboard.html#a67208fe89e88d5e9bc1f19b23afda5f8" title="Get true if the background color for the text is transparent.">IsTextBgTransparent</a> () <span class="keyword">const</span> = 0;
<a name="l00411"></a>00411 
<a name="l00416"></a>00416   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboard.html#aebba80bbfb6ce2a12e3905611a118d4e" title="Clear the background color for the text so that the default color will be used instead.">ClearTextBgColor</a> () = 0;
<a name="l00417"></a>00417 };
<a name="l00418"></a>00418 
<a name="l00423"></a><a class="code" href="structiBillboardManager.html">00423</a> <span class="keyword">struct </span><a class="code" href="structiBillboardManager.html" title="This is a manager to handle billboards.">iBillboardManager</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00424"></a>00424 {
<a name="l00425"></a>00425   SCF_INTERFACE (<a class="code" href="structiBillboardManager.html" title="This is a manager to handle billboards.">iBillboardManager</a>, 0, 0, 1);
<a name="l00426"></a>00426 
<a name="l00430"></a>00430   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="structiBillboardManager.html#a20574133e69088a9d60fe0d2fdf35849" title="Convert a screen X position to billboard space.">ScreenToBillboardX</a> (<span class="keywordtype">int</span> x) <span class="keyword">const</span> = 0;
<a name="l00431"></a>00431 
<a name="l00435"></a>00435   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="structiBillboardManager.html#a2a088d5c27fbeef246861d90f42d424c" title="Convert a screen Y position to billboard space.">ScreenToBillboardY</a> (<span class="keywordtype">int</span> y) <span class="keyword">const</span> = 0;
<a name="l00436"></a>00436 
<a name="l00440"></a>00440   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="structiBillboardManager.html#a68760e60d07e75d999fa16dda2440e5c" title="Convert a billboard X position to screen space.">BillboardToScreenX</a> (<span class="keywordtype">int</span> x) <span class="keyword">const</span> = 0;
<a name="l00441"></a>00441 
<a name="l00445"></a>00445   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="structiBillboardManager.html#ac6195d7a8f732e4ff2cf6344905e8227" title="Convert a billboard Y position to screen space.">BillboardToScreenY</a> (<span class="keywordtype">int</span> y) <span class="keyword">const</span> = 0;
<a name="l00446"></a>00446 
<a name="l00451"></a>00451   <span class="keyword">virtual</span> <a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* <a class="code" href="structiBillboardManager.html#ab59a1f0c8128045633c1020775efe259" title="Create a new billboard with the given name.">CreateBillboard</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00452"></a>00452 
<a name="l00456"></a>00456   <span class="keyword">virtual</span> <a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* <a class="code" href="structiBillboardManager.html#acbd8f528fdd20ec12219d5995e7c9e77" title="Find a billboard with a given name.">FindBillboard</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) <span class="keyword">const</span> = 0;
<a name="l00457"></a>00457 
<a name="l00461"></a>00461   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardManager.html#a5c0f10930830cf3c9fa01039b55c0273" title="Remove a billboard.">RemoveBillboard</a> (<a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* billboard) = 0;
<a name="l00462"></a>00462 
<a name="l00466"></a>00466   <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> <a class="code" href="structiBillboardManager.html#aadb83478447b6234f88ba3e180563daa" title="Get the number of all billboards.">GetBillboardCount</a> () <span class="keyword">const</span> = 0;
<a name="l00467"></a>00467 
<a name="l00471"></a>00471   <span class="keyword">virtual</span> <a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* <a class="code" href="structiBillboardManager.html#a91cd7517b8fa652f7f8c062d6e0d4ca9" title="Get a billboard by index.">GetBillboard</a> (<span class="keywordtype">size_t</span> idx) <span class="keyword">const</span> = 0;
<a name="l00472"></a>00472 
<a name="l00478"></a>00478   <span class="keyword">virtual</span> <a class="code" href="structiBillboardLayer.html" title="A layer of billboards.">iBillboardLayer</a>* <a class="code" href="structiBillboardManager.html#a891f6cf7e2e0bfcdab2b2f5fc930a090" title="Create a new billboard layer with the given name.">CreateBillboardLayer</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00479"></a>00479 
<a name="l00483"></a>00483   <span class="keyword">virtual</span> <a class="code" href="structiBillboardLayer.html" title="A layer of billboards.">iBillboardLayer</a>* <a class="code" href="structiBillboardManager.html#afcbed1e12d18478f250087363f59d651" title="Find a billboard layer with a given name.">FindBillboardLayer</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) <span class="keyword">const</span> = 0;
<a name="l00484"></a>00484 
<a name="l00490"></a>00490   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardManager.html#af2cc8640c7c3dbcae4e19e401a7cb14a" title="Remove a billboard layer.">RemoveBillboardLayer</a> (<a class="code" href="structiBillboardLayer.html" title="A layer of billboards.">iBillboardLayer</a>* layer) = 0;
<a name="l00491"></a>00491 
<a name="l00495"></a>00495   <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> <a class="code" href="structiBillboardManager.html#a6015e805fbe5b31f790540609a3f5b98" title="Get the number of all billboard layers.">GetBillboardLayerCount</a> () <span class="keyword">const</span> = 0;
<a name="l00496"></a>00496 
<a name="l00500"></a>00500   <span class="keyword">virtual</span> <a class="code" href="structiBillboardLayer.html" title="A layer of billboards.">iBillboardLayer</a>* <a class="code" href="structiBillboardManager.html#ac82f26e733d03e8a07d8831ebf47c81d" title="Get a billboard layer by index.">GetBillboardLayer</a> (<span class="keywordtype">size_t</span> idx) <span class="keyword">const</span> = 0;
<a name="l00501"></a>00501 
<a name="l00505"></a>00505   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardManager.html#af53361e66200934f767be514d2b2e1f9" title="Remove all billboards.">RemoveAll</a> () = 0;
<a name="l00506"></a>00506 
<a name="l00510"></a>00510   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardManager.html#ad431ae03b8b7306d3157dca23f5bb92d" title="Set flags for all billboards.">SetFlags</a> (<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a> flags, <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a> mask) = 0;
<a name="l00511"></a>00511 
<a name="l00515"></a>00515   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardManager.html#ad881640d11e94aaf10cfb00320bb5da6" title="Bring a billboard to the top of the stack (first visible).">StackTop</a> (<a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* bb) = 0;
<a name="l00516"></a>00516 
<a name="l00520"></a>00520   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardManager.html#a7303ad395c2268831ac883ca8a5aadb7" title="Bring a billboard to the bottom of the stack.">StackBottom</a> (<a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* bb) = 0;
<a name="l00521"></a>00521 
<a name="l00525"></a>00525   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardManager.html#a0d7cbb18929b3578d06947b7774dcc9e" title="Bring a billboard one closer to the top.">StackUp</a> (<a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* bb) = 0;
<a name="l00526"></a>00526 
<a name="l00530"></a>00530   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardManager.html#ac0aa0af550f9c6edac9e3cdb9378c692" title="Bring a billboard one closer to the bottom.">StackDown</a> (<a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* bb) = 0;
<a name="l00531"></a>00531 
<a name="l00535"></a>00535   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardManager.html#a6d7bab5d3af23a6b0449f0770f5a47d9" title="Put a billboard before the given other billboard.">StackBefore</a> (<a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* bb, <a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* other) = 0;
<a name="l00536"></a>00536 
<a name="l00540"></a>00540   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardManager.html#aaf958c4f0d14a5a8417b22b508505ae5" title="Put a billboard after the given other billboard.">StackAfter</a> (<a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* bb, <a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* other) = 0;
<a name="l00541"></a>00541 
<a name="l00546"></a>00546   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiBillboardManager.html#a140f0932f3c808da7f039c25e8c8b8cc" title="Test if two billboards collide with each other and return true if they do.">TestCollision</a> (<a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* bb1, <a class="code" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a>* bb2) = 0;
<a name="l00547"></a>00547 
<a name="l00551"></a>00551   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiBillboardManager.html#a60aacfb84103b45388b33f7bd230fc33" title="Setup the default font to use for text.">SetDefaultTextFont</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* fontname, <span class="keywordtype">float</span> fontsize) = 0;
<a name="l00552"></a>00552 
<a name="l00556"></a>00556   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiBillboardManager.html#a22b4fe3bb78315db8afd777205f83f4a" title="Get the default font to use for text.">GetDefaultTextFont</a> () <span class="keyword">const</span> = 0;
<a name="l00557"></a>00557 
<a name="l00561"></a>00561   <span class="keyword">virtual</span> <span class="keywordtype">float</span> <a class="code" href="structiBillboardManager.html#a0241a12f5cf8d171fe1f9d6459ac7974" title="Get the default font size to use for text.">GetDefaultTextFontSize</a> () <span class="keyword">const</span> = 0;
<a name="l00562"></a>00562 
<a name="l00566"></a>00566   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardManager.html#a3df05a2246e507cd0371bac4ba54312e" title="Setup the default foreground color to use for text.">SetDefaultTextFgColor</a> (<span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a>&amp; color) = 0;
<a name="l00567"></a>00567 
<a name="l00571"></a>00571   <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a>&amp; <a class="code" href="structiBillboardManager.html#af407f854255157905171b51fba3462fb" title="Get the default foreground color to use for text.">GetDefaultTextFgColor</a> () <span class="keyword">const</span> = 0;
<a name="l00572"></a>00572 
<a name="l00576"></a>00576   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardManager.html#a64bd35bc8f6008fce997ad817a5d8ac5" title="Setup the default background color to use for text.">SetDefaultTextBgColor</a> (<span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a>&amp; color) = 0;
<a name="l00577"></a>00577 
<a name="l00581"></a>00581   <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a>&amp; <a class="code" href="structiBillboardManager.html#ad83a438bab7212a0805a9801edfd6b44" title="Get the default background color to use for text.">GetDefaultTextBgColor</a> () <span class="keyword">const</span> = 0;
<a name="l00582"></a>00582 
<a name="l00586"></a>00586   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiBillboardManager.html#a8158f38872900d7118f6f1843227f84b" title="Setup the default text background to use transparency.">SetDefaultTextBgTransparent</a> () = 0;
<a name="l00587"></a>00587 
<a name="l00596"></a>00596   <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a>* <a class="code" href="structiBillboardManager.html#ace3d2098b316cd1c616f3d0187adf112" title="Get the showroom.">GetShowroom</a> () = 0;
<a name="l00597"></a>00597 };
<a name="l00598"></a>00598 
<a name="l00599"></a>00599 <span class="preprocessor">#endif // __CEL_MGR_BILLBOARD__</span>
<a name="l00600"></a>00600 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
